package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.CategoriaFormAutorizacao;

public interface CategoriaFormAutorizacaoDAO extends GenericDAO<CategoriaFormAutorizacao, Integer> {
	
	public CategoriaFormAutorizacao pesquisarPorCategoriaEmpresa(Integer categoriaId, Integer empresaId);
	public List<CategoriaFormAutorizacao> obtenerTodosPorCategoria(Integer categoriaId);
	public CategoriaFormAutorizacao saverOrUpdate(CategoriaFormAutorizacao form);
}
